## org.hibernate.envers.entities.mapper
Interface ExtendedPropertyMapper

All Superinterfaces:
  CompositeMapperBuilder, PropertyMapper, SimpleMapperBuilder

All Known Implementing Classes:
  MultiPropertyMapper, SubclassPropertyMapper

    public interface ExtendedPropertyMapper

extends PropertyMapper, CompositeMapperBuilder

Author:
  Adam Warski (adam at warski dot org)

Method Summary
`boolean` `map(SessionImplementor session, Map<String,Object> data, String[] propertyNames, Object[] newState, Object[] oldState)`

Methods inherited from interface org.hibernate.envers.entities.mapper.PropertyMapper
`mapCollectionChanges, mapToEntityFromMap, mapToMapFromEntity`

Methods inherited from interface org.hibernate.envers.entities.mapper.CompositeMapperBuilder
`addComponent, addComposite`

Methods inherited from interface org.hibernate.envers.entities.mapper.SimpleMapperBuilder
`add`

Method Detail

### map

    boolean map(SessionImplementor session,
                Map<String,Object> data,
                String[] propertyNames,
                Object[] newState,
                Object[] oldState)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.